# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLFieldSetElement Class Reference

Organizes form controls into logical groups. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLFieldSetElement:

[legend]
Collaboration diagram for DOM::HTMLFieldSetElement:

[legend]
List of all members.

## Public Member Functions

| HTMLFieldSetElement (const HTMLFieldSetElement &other)
| HTMLFieldSetElement (const Node &other)
HTMLFieldSetElement & | operator= (const HTMLFieldSetElement &other)
HTMLFieldSetElement & | operator= (const Node &other)
HTMLFormElement | form () const

## Protected Member Functions

| HTMLFieldSetElement (HTMLFieldSetElementImpl *impl)

## Detailed Description

Organizes form controls into logical groups.

See the FIELDSET element definition in HTML 4.0.

Definition at line 160 of file html_form.h.

## Member Function Documentation

HTMLFormElement HTMLFieldSetElement::form | ( |  | ) | const

| ### KDE 4.0: remove. Reimplemented from DOM::Element. Definition at line 163 of file html_form.cpp. References DOM::Element::form().

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:04 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003